%define major		0
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		udisks2-qt5
Version:	5.0.5
Release:	%mkrel 2
Summary:	Qt5 binding for udisks2
Group:		System/Libraries
License:	GPLv3+
URL:		https://github.com/linuxdeepin/udisks2-qt5
Source0:	https://github.com/linuxdeepin/udisks2-qt5/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)

%description
This package provides a Qt5 binding for udisks2.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt5 library for udisks2
Group:		System/Libraries
Obsoletes:	%{_lib}udisks2-qt50 < 0.0.1-2

%description -n	%{libname}
This package provides a Qt5 binding for udisks2.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup

sed -i 's|/lib|/%{_lib}|' udisks2.pro

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files -n %{libname}
%doc CHANGELOG.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 5.0.5-2.mga8
+ Revision: 1660116
- Rebuild for new Qt5

* Fri Sep 11 2020 daviddavid <daviddavid> 5.0.5-1.mga8
+ Revision: 1624665
- new version: 5.0.5

* Wed Jul 15 2020 daviddavid <daviddavid> 5.0.3-1.mga8
+ Revision: 1606234
- new version: 5.0.3

* Sat Feb 15 2020 umeabot <umeabot> 5.0.0-2.mga8
+ Revision: 1528347
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 5.0.0-1.mga8
+ Revision: 1429931
- new version: 5.0.0

* Thu Apr 11 2019 daviddavid <daviddavid> 0.0.1-2.mga7
+ Revision: 1388470
- fix library pkg name

* Fri Apr 05 2019 daviddavid <daviddavid> 0.0.1-1.mga7
+ Revision: 1386207
- initial package udisks2-qt5

